Loading...
Searching...
No Matches
BALL::File::CannotWrite Class Reference

`#include <BALL/SYSTEM/file.h>`

Inheritance diagram for BALL::File::CannotWrite:

## Public Member Functions

| CannotWrite (const char *file, int line, const String &filename)
| ~CannotWrite () throw ()
String | getFilename () const
Public Member Functions inherited from BALL::Exception::GeneralException
| GeneralException ()
| Default constructor.
| GeneralException (const char *file, int line)
| Constructor.
| GeneralException (const char *file, int line, const String &name, const String &message)
| Constructor.
| GeneralException (const GeneralException &exception)
| Copy constructor.
virtual | ~GeneralException () throw ()
| Destructor.
const char * | getName () const
| Returns the name of the exception.
const char * | getMessage () const
| Returns the error message of the exception.
void | setMessage (const std::string &message)
| Modify the exception's error message.
int | getLine () const
| Returns the line number where it occurred.
const char * | getFile () const
| Returns the file where it occurred.

## Protected Attributes

std::string | filename_
const char * | file_
int | line_
std::string | name_
std::string | message_

## Detailed Description

Exception CannotWrite A given file could not be written, either because its not open or it has a wrong open mode.

Definition at line 142 of file file.h.

## Constructor & Destructor Documentation

## CannotWrite()

BALL::File::CannotWrite::CannotWrite | ( | const char * | file,
|  | int | line,
|  | const String & | filename )

## ~CannotWrite()

BALL::File::CannotWrite::~CannotWrite | ( |  | ) |
throw | ( | ) |  |  |

## Member Function Documentation

## getFilename()

String BALL::File::CannotWrite::getFilename | ( |  | ) | const

## Member Data Documentation

## filename_

std::string BALL::File::CannotWrite::filename_

protected

Definition at line 154 of file file.h.